Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Pro ENGINEER
  Folie einer Ansicht über VB-API ausblenden

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Rezepte für besseres Konstruieren - Mit Creo Simulation Live optimierter Lenkhebel
Autor Thema:   Folie einer Ansicht über VB-API ausblenden (444 mal gelesen)
Redox
Mitglied
Konstrukteur Sondermaschinenbau


Sehen Sie sich das Profil von Redox an!   Senden Sie eine Private Message an Redox  Schreiben Sie einen Gästebucheintrag für Redox

Beiträge: 180
Registriert: 26.08.2005

Windows 10 64
Creo 3.0

erstellt am: 02. Mrz. 2019 09:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo beisammen,

ich beschäftige mich schon einige Zeit mit der VB API von Creo und man kann auch recht viel machen. An manchen Sachen scheitere ich dann aber :-)

Ich möchte bei einer Ansicht einer Zeichnung eine spezielle Folie ausblenden. Ich habe auch alles dazu gefunden, funktioniert nur leider nicht oder nicht richtig:

Code:
               
model3D = getGenericModel(get3DModel(asyncConnection.Session.CurrentModel))
Dim myModelItems As IpfcModelItems
                myModelItems = CType(model3D, IpfcModelItemOwner).ListItems(EpfcModelItemType.EpfcITEM_LAYER)
                Dim myLayer As IpfcLayer = Nothing
                For iLayer As Integer = 0 To myModelItems.Count - 1
                    '                    myLayer = myModelItems.Item(iLayer)
                    Dim sName As String = myModelItems.Item(iLayer).GetName
                    'myLayer = myModelItems.Item(iLayer)
                    Debug.Print(sName + " " + myModelItems.Item(iLayer).status.ToString)

                    If sName.ToString.ToLower = "bohrungen" Then
                        myLayer = myModelItems.Item(iLayer) 'CType(myModelItems.Item(iLayer), IpfcLayer)
                        myLayer.Status = EpfcDisplayStatus.EpfcLAYER_HIDDEN
                        Exit For
                    End If
                    Debug.Print("Layer" + iLayer.ToString + " " + myModelItems.Item(iLayer).GetName)
                Next


bei EpfcDisplayStatus.EpfcLAYER_HIDDEN bekomme ich die Meldung:
"pfcExceptions::XToolkitBadInputs", also nimmt Creo den Wert nicht?

Eigentlich ist das oben nur ein Versuch, ob das Statussetzten überhaupt geht, eigentlich wollte ich  das direkt dem View zuweisen, funktioniert aber auch nicht
view.SetLayerDisplayStatus(myLayer, EpfcDisplayStatus.EpfcLAYER_HIDDEN)
liefert aber auch BadInputs.

Hat da wer eine Lösung dafür? Hab jetzt schon viel probiert, komm aber nicht auf eine Lösung.
In der Beschreibung von dem Enum EpfcDisplayStatus steht wetwas, dass der HIDDEN Wert nur in assembly mode geht, die anderen Werte bringen aber keine veränderung.

lg
Sebastian


------------------
mfg
Redox

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Redox
Mitglied
Konstrukteur Sondermaschinenbau


Sehen Sie sich das Profil von Redox an!   Senden Sie eine Private Message an Redox  Schreiben Sie einen Gästebucheintrag für Redox

Beiträge: 180
Registriert: 26.08.2005

Windows 10 64
Creo 3.0

erstellt am: 07. Mrz. 2019 21:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hat keiner eine Idee, warum es nicht funktioniert?

------------------
mfg
Redox

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz